Description: remove use of distutils

Author: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Bug-Debian: https://bugs.debian.org/1075920
Forwarded: no
Last-Update: 2024-07-08
---

--- pycallgraph-1.1.3.orig/pycallgraph2/output/output.py
+++ pycallgraph-1.1.3/pycallgraph2/output/output.py
@@ -1,6 +1,6 @@
 import re
 import os
-from distutils.spawn import find_executable
+from shutil import which
 
 from ..exceptions import PyCallGraphException
 from ..color import Color
@@ -90,7 +90,7 @@ class Output(object):
         raise NotImplementedError('done')
 
     def ensure_binary(self, cmd):
-        if find_executable(cmd):
+        if which(cmd):
             return
 
         raise PyCallGraphException(
--- pycallgraph-1.1.3.orig/pycallgraph2/tracer.py
+++ pycallgraph-1.1.3/pycallgraph2/tracer.py
@@ -4,7 +4,7 @@ import inspect
 import sys
 import os
 import time
-from distutils import sysconfig
+import sysconfig
 from collections import defaultdict
 from threading import Thread
 try:
@@ -104,7 +104,7 @@ class TraceProcessor(Thread):
         self.call_stack_memory_out = []
 
     def init_libpath(self):
-        self.lib_path = sysconfig.get_python_lib()
+        self.lib_path = sysconfig.get_path('purelib', 'deb_system')
         path = os.path.split(self.lib_path)
         if path[1] == 'site-packages':
             self.lib_path = path[0]
